<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.31.0">
    <meta name="project" content="Manpages v2.3.0">


    <title>zuluMount-cli — Manpages v2.3.0</title>
    <link rel="stylesheet" href="dist/html-elixir-3ZLIM5JF.css" />


    <script src="dist/handlebars.runtime-NWIB6V2M.js"></script>
    <script src="dist/handlebars.templates-43PMFBC7.js"></script>
    <script src="dist/sidebar_items-BAAB9852.js"></script>

      <script src="doc-versions.js"></script>

    <script async src="dist/html-CILPWI2Q.js"></script>

<link rel="stylesheet" href="assets/doc.css">
  </head>
  <body data-type="extras" class="page-extra">
    <script>

      try {
        var settings = JSON.parse(localStorage.getItem('ex_doc:settings') || '{}');

        if (settings.theme === 'dark' ||
           ((settings.theme === 'system' || settings.theme == null) &&
             window.matchMedia('(prefers-color-scheme: dark)').matches)
           ) {
          document.body.classList.add('dark')
        }
      } catch (error) { }
    </script>

<div class="main">

<button class="sidebar-button sidebar-toggle" aria-label="toggle sidebar" aria-controls="sidebar">
  <i class="ri-menu-line ri-lg" title="Collapse/expand sidebar"></i>
</button>

<nav id="sidebar" class="sidebar">

  <div class="sidebar-header">
    <div class="sidebar-projectInfo">

        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectImage">
          <img src="assets/logo.png" alt="Manpages" />
        </a>

      <div>
        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectName" translate="no">
Manpages
        </a>
        <div class="sidebar-projectVersion" translate="no">
          v2.3.0
        </div>
      </div>
    </div>
    <ul id="sidebar-listNav" class="sidebar-listNav" role="tablist">
      <li>
        <button id="extras-list-tab-button" role="tab" data-type="extras" aria-controls="extras-tab-panel" aria-selected="true" tabindex="0">
MANUALS
        </button>
      </li>


    </ul>
  </div>

  <div id="extras-tab-panel" class="sidebar-tabpanel" role="tabpanel" aria-labelledby="extras-list-tab-button">
    <ul id="extras-full-list" class="full-list"></ul>
  </div>


</nav>

<main class="content">
  <output role="status" id="toast"></output>
  <div class="content-outer">
    <div id="content" class="content-inner">
      <div class="top-search">
        <div class="search-settings">
          <form class="search-bar" action="search.html">
            <label class="search-label">
              <span class="sr-only">Search documentation of Manpages</span>
              <input name="q" type="text" class="search-input" placeholder="Search Documentation (press /)" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" />
            </label>
            <button type="submit" class="search-button" aria-label="Submit Search">
              <i class="ri-search-2-line ri-lg" aria-hidden="true" title="Submit search"></i>
            </button>
            <button type="button" tabindex="-1" class="search-close-button" aria-hidden="true">
              <i class="ri-close-line ri-lg" title="Cancel search"></i>
            </button>
          </form>
          <button class="icon-settings display-settings">
            <i class="ri-settings-3-line"></i>
            <span class="sr-only">Settings</span>
          </button>
        </div>
      </div>
      <div class="autocomplete">
      </div>

<h1>


  <span>zuluMount-cli</span>
</h1>

<p>zuluMount-cli(1)                                                       General Commands Manual                                                      zuluMount-cli(1)</p><p>NAME</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">zuluMount</span><span class="o">-</span><span class="n">cli</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="n">command</span><span class="w"> </span><span class="n">line</span><span class="w"> </span><span class="n">tool</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">manages</span><span class="w"> </span><span class="n">encrypted</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">unencrypted</span><span class="w"> </span><span class="n">volumes</span></code></pre><p>DESCRIPTION</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">zuluMount</span><span class="o">-</span><span class="n">cli</span><span class="w">  </span><span class="n">is</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">tool</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">has</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">primary</span><span class="w"> </span><span class="n">mission</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">opening</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">closing</span><span class="w"> </span><span class="n">encrypted</span><span class="w"> </span><span class="n">volumes</span><span class="w"> </span><span class="n">as</span><span class="w"> </span><span class="n">well</span><span class="w"> </span><span class="n">as</span><span class="w"> </span><span class="n">mounting</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">unmounting</span><span class="w"> </span><span class="n">unecrypted</span><span class="w"> </span><span class="n">volumes</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">opened</span><span class="w">
   </span><span class="n">encrypted</span><span class="w"> </span><span class="n">ones</span><span class="o">.</span><span class="nc">Its</span><span class="w"> </span><span class="n">primary</span><span class="w"> </span><span class="n">purpose</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="k" data-group-id="8103628434-1">do</span><span class="w"> </span><span class="n">what</span><span class="w"> </span><span class="n">tools</span><span class="w"> </span><span class="n">like</span><span class="w"> </span><span class="n">udisks</span><span class="w"> </span><span class="n">does</span><span class="o">.</span></code></pre><p>USAGE</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="ss">usage</span><span class="p">:</span><span class="w"> </span><span class="n">see</span><span class="w"> </span><span class="n">examples</span><span class="w"> </span><span class="n">below</span><span class="w">

   </span><span class="ss">options</span><span class="p">:</span><span class="w">
   </span><span class="o">-</span><span class="n">m</span><span class="w"> </span><span class="o">--</span><span class="w"> </span><span class="n">mount</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">volume</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="ss">arguments</span><span class="p">:</span><span class="w"> </span><span class="o">-</span><span class="n">d</span><span class="w"> </span><span class="n">volume_path</span><span class="w"> </span><span class="o">-</span><span class="n">z</span><span class="w"> </span><span class="n">mount_point</span><span class="w"> </span><span class="o">-</span><span class="n">e</span><span class="w"> </span><span class="n">mode</span><span class="p" data-group-id="4458991228-1">(</span><span class="n">rw</span><span class="o">/</span><span class="n">ro</span><span class="p" data-group-id="4458991228-1">)</span><span class="w">
         </span><span class="o">--</span><span class="w"> </span><span class="n">additional</span><span class="w"> </span><span class="n">arguments</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">crypto_LUKS</span><span class="p">,</span><span class="n">crypto_PLAIN</span><span class="p">,</span><span class="n">crypto_TCRYPT</span><span class="w"> </span><span class="n">volumes</span><span class="p">,</span><span class="w"> </span><span class="o">-</span><span class="n">p</span><span class="w"> </span><span class="n">passphrase</span><span class="o">/</span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="n">keyfile</span><span class="w">
   </span><span class="o">-</span><span class="n">z</span><span class="w"> </span><span class="o">--</span><span class="w"> </span><span class="n">mount</span><span class="w"> </span><span class="n">point</span><span class="w"> </span><span class="n">component</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">append</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="s">&quot;/run/media/private/$USER/&quot;</span><span class="w">
   </span><span class="o">-</span><span class="n">u</span><span class="w"> </span><span class="o">--</span><span class="w"> </span><span class="n">unmount</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="ss">volume</span><span class="p">:</span><span class="w"> </span><span class="ss">arguments</span><span class="p">:</span><span class="w"> </span><span class="o">-</span><span class="n">d</span><span class="w"> </span><span class="n">volume_path</span><span class="w">
   </span><span class="o">-</span><span class="n">s</span><span class="w"> </span><span class="o">--</span><span class="w"> </span><span class="n">print</span><span class="w"> </span><span class="n">properties</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="n">encrypted</span><span class="w"> </span><span class="ss">volume</span><span class="p">:</span><span class="w"> </span><span class="ss">arguments</span><span class="p">:</span><span class="w"> </span><span class="o">-</span><span class="n">d</span><span class="w"> </span><span class="n">volume_path</span><span class="w">
   </span><span class="o">-</span><span class="n">o</span><span class="w"> </span><span class="o">--</span><span class="w"> </span><span class="n">offset</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">sectors</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">where</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">volume</span><span class="w"> </span><span class="n">starts</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">volume</span><span class="o">.</span><span class="nc">The</span><span class="w"> </span><span class="n">volume</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">assumed</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">plain</span><span class="w"> </span><span class="n">type</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="n">option</span><span class="w">
         </span><span class="ow">and</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">option</span><span class="w"> </span><span class="n">must</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">given</span><span class="w"> </span><span class="ow">when</span><span class="w"> </span><span class="o">-</span><span class="n">u</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="o">-</span><span class="n">s</span><span class="w"> </span><span class="n">arguments</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">used</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">volume</span><span class="w"> </span><span class="n">opened</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="n">option</span><span class="w">
   </span><span class="o">-</span><span class="nc">M</span><span class="w"> </span><span class="o">--</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="n">option</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">create</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">mount</span><span class="w"> </span><span class="n">point</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="s">&quot;/run/media/private/$USER/&quot;</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">publicly</span><span class="w"> </span><span class="n">accessible</span><span class="w"> </span><span class="s">&quot;mirror&quot;</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="s">&quot;/run/media/public/&#39;
   -l -- print expanded list of all volumes
   -Y -- file system options
   -e -- mount options
   -t -- volume type to assume when unlocking a volume.Use &quot;</span><span class="n">vera</span><span class="s">&quot; when unlocking a VeraCrypt volume.
   -L -- must be used with -d,print properties of a volume specified by d option
   -P -- print a list of all volumes
   -A -- print a list of all volumes
   -S -- print a list of system volumes
   -N -- print a list of non system volumes
   -E -- print a list of mounted volumes
   -D -- get a device node address from its mapper path( mapper paths are usually located in /dev/mapper ). Required argument: -d
   -F -- path to truecrypt multiple keyfiles.Keyfiles are separated by &quot;</span><span class="err">\</span><span class="mi">011</span><span class="s">&quot; character sequence
   examples:
   mount a volume  : zuluMount-cli -m -d /dev/sdc1
   unmount a volume: zuluMount-cli -u -d /dev/sdc1
   mount an encrypted volume with a key &quot;</span><span class="n">xyz</span><span class="err">&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="n">zuluMount</span><span class="o">-</span><span class="n">cli</span><span class="w"> </span><span class="o">-</span><span class="n">m</span><span class="w"> </span><span class="o">-</span><span class="n">d</span><span class="w"> </span><span class="o">/</span><span class="n">dev</span><span class="o">/</span><span class="n">sdc2</span><span class="w"> </span><span class="o">-</span><span class="n">p</span><span class="w"> </span><span class="n">xyz</span></code></pre><p>COPYRIGHT</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">Copyright</span><span class="w"> </span><span class="p" data-group-id="8586194985-1">(</span><span class="n">c</span><span class="p" data-group-id="8586194985-1">)</span><span class="w"> </span><span class="mi">2011</span><span class="o">-</span><span class="mi">2015</span><span class="w">
   </span><span class="n">name</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="nc">Francis</span><span class="w"> </span><span class="nc">Banyikwa</span><span class="w">
   </span><span class="ss">email</span><span class="p">:</span><span class="w"> </span><span class="n">mhogomchungu</span><span class="na">@gmail</span><span class="o">.</span><span class="n">com</span><span class="w">

   </span><span class="nc">This</span><span class="w"> </span><span class="n">program</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">free</span><span class="w"> </span><span class="ss">software</span><span class="p">:</span><span class="w"> </span><span class="n">you</span><span class="w"> </span><span class="n">can</span><span class="w"> </span><span class="n">redistribute</span><span class="w"> </span><span class="n">it</span><span class="w"> </span><span class="ow">and</span><span class="o">/</span><span class="ow">or</span><span class="w"> </span><span class="n">modify</span><span class="w"> </span><span class="n">it</span><span class="w"> </span><span class="n">under</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">terms</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">GNU</span><span class="w"> </span><span class="nc">General</span><span class="w"> </span><span class="nc">Public</span><span class="w"> </span><span class="nc">License</span><span class="w"> </span><span class="n">as</span><span class="w"> </span><span class="n">published</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">the</span><span class="w">  </span><span class="nc">Free</span><span class="w">  </span><span class="nc">Software</span><span class="w">
   </span><span class="nc">Foundation</span><span class="p">,</span><span class="w">  </span><span class="n">either</span><span class="w">  </span><span class="n">version</span><span class="w">  </span><span class="mi">2</span><span class="w">  </span><span class="n">of</span><span class="w">  </span><span class="n">the</span><span class="w"> </span><span class="nc">License</span><span class="p">,</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="p" data-group-id="8586194985-2">(</span><span class="n">at</span><span class="w"> </span><span class="n">your</span><span class="w"> </span><span class="n">option</span><span class="p" data-group-id="8586194985-2">)</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">later</span><span class="w"> </span><span class="n">version</span><span class="o">.</span><span class="w">  </span><span class="nc">This</span><span class="w"> </span><span class="n">program</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">distributed</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">hope</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">it</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">useful</span><span class="p">,</span><span class="w"> </span><span class="n">but</span><span class="w">
   </span><span class="nc">WITHOUT</span><span class="w"> </span><span class="nc">ANY</span><span class="w"> </span><span class="nc">WARRANTY</span><span class="p">;</span><span class="w"> </span><span class="n">without</span><span class="w"> </span><span class="n">even</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">implied</span><span class="w"> </span><span class="n">warranty</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="nc">MERCHANTABILITY</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="nc">FITNESS</span><span class="w"> </span><span class="nc">FOR</span><span class="w"> </span><span class="nc">A</span><span class="w"> </span><span class="nc">PARTICULAR</span><span class="w"> </span><span class="nc">PURPOSE</span><span class="o">.</span><span class="w">  </span><span class="nc">See</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">GNU</span><span class="w"> </span><span class="nc">General</span><span class="w"> </span><span class="nc">Public</span><span class="w"> </span><span class="nc">License</span><span class="w"> </span><span class="k">for</span><span class="w">  </span><span class="n">more</span><span class="w">
   </span><span class="n">details</span><span class="o">.</span><span class="w">  </span><span class="nc">You</span><span class="w"> </span><span class="n">should</span><span class="w"> </span><span class="n">have</span><span class="w"> </span><span class="n">received</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">copy</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">GNU</span><span class="w"> </span><span class="nc">General</span><span class="w"> </span><span class="nc">Public</span><span class="w"> </span><span class="nc">License</span><span class="w"> </span><span class="n">along</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="n">program</span><span class="o">.</span><span class="w">  </span><span class="nc">If</span><span class="w"> </span><span class="ow">not</span><span class="p">,</span><span class="w"> </span><span class="n">see</span><span class="w"> </span><span class="o">&lt;</span><span class="n">http</span><span class="ss">://</span><span class="n">www</span><span class="o">.</span><span class="n">gnu</span><span class="o">.</span><span class="n">org</span><span class="o">/</span><span class="n">licenses</span><span class="o">/</span><span class="o">&gt;</span><span class="o">.</span></code></pre><p>LAST EDIT</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">Last</span><span class="w"> </span><span class="ss">change</span><span class="p">:</span><span class="w"> </span><span class="nc">Fri</span><span class="w"> </span><span class="nc">Mar</span><span class="w"> </span><span class="mi">13</span><span class="w"> </span><span class="mi">01</span><span class="p">:</span><span class="mi">12</span><span class="p">:</span><span class="mi">21</span><span class="w"> </span><span class="nc">EAT</span><span class="w"> </span><span class="mi">2015</span><span class="w">

                                                                                                                                                </span><span class="n">zuluMount</span><span class="o">-</span><span class="n">cli</span><span class="p" data-group-id="9586535187-1">(</span><span class="mi">1</span><span class="p" data-group-id="9586535187-1">)</span></code></pre>
<div class="bottom-actions">
  <div class="bottom-actions-item">

      <a href="zulucrypt-gui.html" class="bottom-actions-button" rel="prev">
        <span class="subheader">
          ← Previous Page
        </span>
        <span class="title">
zuluCrypt-gui
        </span>
      </a>

  </div>
  <div class="bottom-actions-item">

      <a href="zulumount-gui.html" class="bottom-actions-button" rel="next">
        <span class="subheader">
          Next Page →
        </span>
        <span class="title">
zuluMount-gui
        </span>
      </a>

  </div>
</div>
      <footer class="footer">
        <p>

          <span class="line">
            <button class="a-main footer-button display-quick-switch" title="Search HexDocs packages">
              Search HexDocs
            </button>

          </span>
        </p>

        <p class="built-using">
          Built using
          <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" target="_blank" rel="help noopener" translate="no">ExDoc</a> (v0.31.0) for the

            <a href="https://elixir-lang.org" title="Elixir" target="_blank" translate="no">Elixir programming language</a>

        </p>
      </footer>
    </div>
  </div>
</main>
</div>


  </body>
</html>
